# Algorithms_in_C++: ciphers::elliptic_curve_key_exchange::Point Struct Reference

Loading...
Searching...
No Matches
ciphers::elliptic_curve_key_exchange::Point Struct Reference

Definition of struct Point. More...

Collaboration diagram for ciphers::elliptic_curve_key_exchange::Point:
[legend]

## Public Member Functions

bool | operator== (const Point &p)
| x and y co-ordinates More...

## Public Attributes

uint256_t | x
uint256_t | y

## Friends

std::ostream & | operator<< (std::ostream &op, const Point &p)
| ostream operator for printing Point More...

## Detailed Description

Definition of struct Point.

Definition of Point in the curve.

## Member Function Documentation

## operator==()

bool ciphers::elliptic_curve_key_exchange::Point::operator== | ( | const Point & | p | ) |

inline

x and y co-ordinates

operator == for Point

check whether co-ordinates are equal to the given point

Parameters

  p | given point to be checked with this

Returns
  true if x and y are both equal with Point p, else false

{ return x == p.x && y == p.y; }
Point::y
int y
Point respect to x coordinate.
Definition: line_segment_intersection.cpp:14

## Friends And Related Function Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | op,
|  | const Point & | p
| ) |  |

friend

ostream operator for printing Point

Parameters

  op | ostream operator
  p | Point to be printed on console

Returns
  op, the ostream object

{
op << p.x << " " << p.y;
return op;
}

The documentation for this struct was generated from the following file:

- ciphers/elliptic_curve_key_exchange.cpp